Appearance
Get Statistic
GET/public/content/{contentId}/statisticRetrieve engagement statistics for a specific piece of content directly from the platform. The available fields vary by platform.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Gold+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
contentId | string | Yes | The unique identifier of the content/post. |
accountId | string | Yes | The unique ID of the account. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/content/113958387982006_942538351814577/statistic?accountId=680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from "axios";
const contentId = "113958387982006_942538351814577";
const response = await axios.get(
`https://api.repliz.com/public/content/${contentId}/statistic`,
{
params: {
accountId: "680affa5ce12f2f72916f67e",
},
auth: {
username: "YOUR_ACCESS_KEY",
password: "YOUR_SECRET_KEY",
},
},
);
console.log(response.data);javascript
const credentials = btoa("YOUR_ACCESS_KEY:YOUR_SECRET_KEY");
const contentId = "113958387982006_942538351814577";
const response = await fetch(
`https://api.repliz.com/public/content/${contentId}/statistic`,
{
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
// Facebook
{
"like": 10,
"comment": 10,
"share": 10
}
// Instagram
{
"like": 10,
"comment": 10,
"share": 10,
"reach": 10,
"saved": 10,
"views": 10,
"interaction": 10
}
// Threads
{
"like": 10,
"replies": 10,
"views": 10,
"repost": 10,
"quotes": 10,
"share": 10
}
// TikTok
{
"like": 10,
"comment": 10,
"share": 10,
"reach": 10,
"views": 10,
"watched": 10,
"favourite": 10,
"newFollower": 10
}
// YouTube
{
"like": 10,
"dislike": 10,
"comment": 10,
"views": 10,
"favourite": 10
}
// LinkedIn
{
"like": 10,
"comment": 10
}
// Shopee
{
"views": 0,
"like": 0,
"comment": 0,
"share": 0,
"followersGrowth": 0,
"placedOrders": 0,
"placedSales": 0,
"uniqueBuyers": 0,
"conversionRate": 0,
"soldItems": 0,
"productClicks": 0,
"productClickRate": 0,
"salesPerOrder": 0,
"salesPerBuyer": 0
}
// Twitter
{
"retweet": 0,
"replies": 0,
"like": 0,
"quotes": 0,
"bookmark": 0,
"impression": 0
}json
// Account Not Found
{
"code": 404,
"message": "account not found"
}
// Statistic Not Found
{
"code": 404,
"message": "statistic not found"
}json
{
"code": 401,
"message": "unauthorized"
}